Browser Requirements

Sitemason 6 requires an updated version of a modern browser. The minimum browsers and versions we currently support are:

  • Chrome 26
  • Firefox 20
  • Safari 6
  • Safari for iOS 6
  • Internet Explorer 9
Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.